﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyBalanceSheetViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyBalanceSheet", FormMethod.Post, new { id = "CompanyBalanceSheet", name = "CompanyBalanceSheet", @class = "" }))
{
    <div id="content" class="content">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-with-top-border p-b-10 p-t-25">
            @if (ViewBag.Message != string.Empty)
            {
                <div class="alert alert-danger alert-bordered show m-b-10">
                    <strong>Info!</strong>
                    @ViewBag.Message
                    <span class="close" data-dismiss="alert">×</span>
                </div>
            }

            @Html.HiddenFor(Model => Model.CompanyId)
            @Html.HiddenFor(Model => Model.ProjectId)

            <div class="section-with-top-border p-b-10 p-t-20">
                <!-- begin row -->
                <div class="row">
                    <!-- begin col-8 -->
                    <div class="col-md-12">
                        <!-- begin panel -->
                        <div class="panel">
                            <div class="table-responsive">
                                <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                                    <thead>
                                        <tr class="inverse">
                                            <th class="text-center"></th>
                                            @for (int k = 0; k < Model.YearList.Count; k++)
                                            {
                                                <th class="text-center">@Model.YearList[k]</th>
                                            }

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                Assets:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Assets_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Cash and cash equivalents
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CashAndCashEquivalents</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Short-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ShortTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Accounts Receivables
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AccountsReceivables</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Inventories
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Inventories</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Current tax assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CurrentTaxAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other current assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherCurrentAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Assets held for sale
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AssetsHeldForSale</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total current assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalCurrentAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Long-term investments
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().LongTermInvestments</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Property, plant and equipment
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PropertyPlantAndEquipment</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Intangible assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().IntangibleAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Goodwill
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Goodwill</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Deferred tax assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DeferredTaxAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other noncurrent assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherNoncurrentAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total assets
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalAssets</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Liabilities and Equity:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().LiabilitiesAndEquity_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Short-term Debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ShortTermDebt</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Trade accounts payable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TradeAccountsPayable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Dividends payable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DividendsPayable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Income taxes payable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().IncomeTaxesPayable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Accrued expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AccruedExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Deferred revenues Short term
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DeferredRevenuesShortTerm</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other current liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherCurrentLiabilities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Liabilities held for sale
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().LiabilitiesHeldForSale</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total current liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalCurrentLiabilities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Long-term debt
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().LongTermDebt</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Pension benefit obligations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PensionBenefitObligations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Postretirement benefit obligations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PostretirementBenefitObligations </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Deferred tax liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DeferredTaxLiabilities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other taxes payable
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherTaxesPayable</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Deferred revenues Long term
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DeferredRevenuesLongTerm </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other noncurrent liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherNoncurrentLliabilities</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total liabilities
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalLiabilities </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Commitments and Contingencies:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CommitmentsAndContingencies_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Preferred stock
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().PreferredStock</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Common stock
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CommonStock</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Debentures
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Debentures </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Additional paid-in capital
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AdditionalPaidInCapital</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Tresury stock
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TresuryStock</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Retained earnings
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().RetainedEarnings</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Accumulated other comprehensive loss
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AccumulatedOtherComprehensiveLoss</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total shareholders equity
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalShareholdersEquity</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Minority Interest
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().MinorityInterest</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total equity
                                                
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalEquity</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total liabilities and equity
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyBalanceSheetViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalLiabilitiesAndEquity</td>
                                            }
                                        </tr>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- end panel -->
                    </div>
                    <!-- end col-8 -->
                    <!-- end col-4 -->
                </div>
                <!-- end row -->
            </div>

        </div>
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
    </div>

}
